#!/usr/bin/perl
# Tue Dec  4 16:37:03 CST 2001

&moe() ;
&net() ;
&pydict();
&cedict();

###########################################################################

sub pydict {

	open ( FILE, "data/pydict-0.2.5.1.u8") ;
	@RawData = <FILE> ;
	close (FILE) ;

	open ( TXT, ">data/pydict.txt" ) ;

print TXT <<__END ;
%h 00-database-info
%d
Wait for more description

__END

	foreach $data (@RawData) {
	
		$data =~ s/\x03/(a.)/ ;
		$data =~ s/\x04/(ad.)/ ;
		$data =~ s/\x05/(art.)/ ;
		$data =~ s/\x06/(conj.)/ ;
                $data =~ s/\x07/(int.)/ ;
                $data =~ s/\x08/(n.)/ ;
                $data =~ s/\x0B/(num.)/ ;
                $data =~ s/\x0C/(prep.)/ ;  # 12
                $data =~ s/\x0E/(pron.)/ ;  # 14
                $data =~ s/\x0F/(v.)/ ;    
                $data =~ s/\x10/(aux.)/ ;
                $data =~ s/\x11/(vi.)/ ;
                $data =~ s/\x12/(vt.)/ ;
                $data =~ s/\x13/(vbl.)/ ; # 19
                $data =~ s/\x15/(st.)/ ; # 21
                $data =~ s/\x16/(pr.)/ ;
                $data =~ s/\x17/(pp.)/ ;
                $data =~ s/\x18/(pl.)/ ;
                $data =~ s/\x19/(ing.)/ ; # 25
                $data =~ s/\x1B/(adj.)/ ; # 27
		$data =~ s/\x1C/(adv.)/ ; 
                $data =~ s/\x1D/(pla.)/ ;
                $data =~ s/\x1E/(pn.)/ ;  # 30
                $data =~ /(.*)=(.*)=(.*)/ ;
		print TXT "%h $1\n%d\n$2\n" ;
	}
	close (TXT);
}

#########################################################################

sub moe {

	open ( FILE, "data/moers2-dict-u8") ;
	@RawData = <FILE> ;
	close (FILE) ;

        open ( TXT, ">data/moecomp.txt" ) ;

	print TXT <<__END ;
%h 00-database-info
%d 
Wait for more description

__END
	foreach $data (@RawData) {

        	$data =~ /([\w|\s|(|)|-|\/]*)\t(.*)/ ;
        	print TXT "%h $1\n%d\n$2\n" ;
	}
	
	close(TXT);

}

###########################################################################

sub net {

        open ( FILE, "data/network_term_u8") ;
        @RawData = <FILE> ;
        close (FILE) ;

        open ( TXT, ">data/netterm.txt" ) ;

	print TXT <<__END ;
%h 00-database-info
%d 
Wait for more description

__END

        foreach $data (@RawData) {

                $data =~ /(.*)\s[0-9]\s(.*)/ ;
                print TXT "%h $1\n%d\n$2\n" ;
        }

        close(TXT);

}

############################################################################

sub cedict {

	open ( FILE, "data/cedict.u8") ;
	@RawData = <FILE> ;
	close (FILE) ;


	open ( TXT, ">data/cedict.txt" ) ;

	print TXT <<__END ;
%h 00-database-info
%d 
Chinese to English Dictionary 漢英字典
CEDICT January 17, 2001; Copyright 2000-01
__END

	foreach $data (@RawData) {
		$data =~ s/(.*) \[(.*)\] \/(.*)\//%h $1\n%d\n[$2]\n$3\n/g ;
                $data =~ s/\//\n/g ;
                print TXT $data ;
        }
	close (TXT);
}
